io.vertx.ext.web.api.validation

## Enum ValidationException.ErrorType

- java.lang.Object
- - java.lang.Enum<ValidationException.ErrorType>
  - - io.vertx.ext.web.api.validation.ValidationException.ErrorType

- All Implemented Interfaces:
    Serializable, Comparable<ValidationException.ErrorType>
  Enclosing class:
    ValidationException

      public static enum ValidationException.ErrorType
      extends Enum<ValidationException.ErrorType>

  All errors type. You can get this values using `ValidationException.type()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DESERIALIZATION_ERROR` Error during deserializaton with rule provided
    `EMPTY_VALUE` Parameter found but with empty value
    `FILE_NOT_FOUND` Expected file not found
    `JSON_INVALID` Json doesn't match the provided schema
    `JSON_NOT_PARSABLE` Json can't be parsed
    `NO_MATCH` The provided value not match with ParameterTypeValidator rules
    `NOT_FOUND` Parameter not found in request
    `OBJECT_FIELD_NOT_FOUND` Object field declared as required in `ObjectTypeValidator` not found
    `UNEXPECTED_ARRAY` It was expected a single value, but found in request an array
    `UNEXPECTED_ARRAY_SIZE` Expected an array size between parameters configured in `ArrayTypeValidator`
    `UNEXPECTED_SINGLE_STRING` It was expected an array, but found in request a single value
    `WRONG_CONTENT_TYPE` Wrong Content-Type header
    `XML_INVALID` XML doesn't match the provided schema

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ValidationException.ErrorType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ValidationException.ErrorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_MATCH

          public static final ValidationException.ErrorType NO_MATCH

      The provided value not match with ParameterTypeValidator rules

    - #### NOT_FOUND

          public static final ValidationException.ErrorType NOT_FOUND

      Parameter not found in request

    - #### UNEXPECTED_ARRAY

          public static final ValidationException.ErrorType UNEXPECTED_ARRAY

      It was expected a single value, but found in request an array

    - #### UNEXPECTED_SINGLE_STRING

          public static final ValidationException.ErrorType UNEXPECTED_SINGLE_STRING

      It was expected an array, but found in request a single value

    - #### FILE_NOT_FOUND

          public static final ValidationException.ErrorType FILE_NOT_FOUND

      Expected file not found

    - #### WRONG_CONTENT_TYPE

          public static final ValidationException.ErrorType WRONG_CONTENT_TYPE

      Wrong Content-Type header

    - #### EMPTY_VALUE

          public static final ValidationException.ErrorType EMPTY_VALUE

      Parameter found but with empty value

    - #### UNEXPECTED_ARRAY_SIZE

          public static final ValidationException.ErrorType UNEXPECTED_ARRAY_SIZE

      Expected an array size between parameters configured in `ArrayTypeValidator`

    - #### DESERIALIZATION_ERROR

          public static final ValidationException.ErrorType DESERIALIZATION_ERROR

      Error during deserializaton with rule provided

    - #### OBJECT_FIELD_NOT_FOUND

          public static final ValidationException.ErrorType OBJECT_FIELD_NOT_FOUND

      Object field declared as required in `ObjectTypeValidator` not found

    - #### JSON_NOT_PARSABLE

          public static final ValidationException.ErrorType JSON_NOT_PARSABLE

      Json can't be parsed

    - #### JSON_INVALID

          public static final ValidationException.ErrorType JSON_INVALID

      Json doesn't match the provided schema

    - #### XML_INVALID

          public static final ValidationException.ErrorType XML_INVALID

      XML doesn't match the provided schema

  - ### Method Detail

    - #### values

          public static ValidationException.ErrorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ValidationException.ErrorType c : ValidationException.ErrorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ValidationException.ErrorType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2022 Eclipse. All rights reserved.